# Disable tests by default because they fail to run inside mock builds
# at the moment, but can run locally.  To build and run tests, do:
#     rpmbuild -ba --with runtests pykickstart.spec
%bcond_with runtests

Name:      pykickstart
Version:   3.24
Release:   1%{?dist}
Epoch: 1000
License:   GPLv2 and MIT
Summary:   Python utilities for manipulating kickstart files.
Url:       http://fedoraproject.org/wiki/pykickstart
# This is a Red Hat maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
Source0: %{name}-%{version}.tar.gz
Patch0: 0001-Add-gpgkey-option-to-repo-command.patch
BuildArch: noarch

BuildRequires: gettext
BuildRequires: python3-coverage
BuildRequires: python3-devel
BuildRequires: python3-nose
BuildRequires: python3-ordered-set
BuildRequires: python3-requests
BuildRequires: python3-setuptools
BuildRequires: python3-six
BuildRequires: python3-sphinx

Requires: python3-kickstart = %{epoch}:%{version}-%{release}

%description
Python utilities for manipulating kickstart files.

%package -n python3-kickstart
Summary:  Python 3 library for manipulating kickstart files.
Requires: python3-six
Requires: python3-requests
Requires: python3-ordered-set

%description -n python3-kickstart
Python 3 library for manipulating kickstart files.  The binaries are found in
the pykickstart package.

%prep
%setup -q
%patch0 -p1

%build
make PYTHON=%{__python3}

%install
make PYTHON=%{__python3} DESTDIR=%{buildroot} install

%check
%if %{with runtests}
make PYTHON=%{__python3} test
%endif

%files
%license COPYING
%doc README.rst
%doc data/kickstart.vim
%{_bindir}/ksvalidator
%{_bindir}/ksflatten
%{_bindir}/ksverdiff
%{_bindir}/ksshell
%{_mandir}/man1/ksflatten.1.gz
%{_mandir}/man1/ksshell.1.gz
%{_mandir}/man1/ksvalidator.1.gz
%{_mandir}/man1/ksverdiff.1.gz

%files -n python3-kickstart
%doc docs/2to3
%doc docs/programmers-guide
%doc docs/kickstart-docs.txt
%{python3_sitelib}/pykickstart
%{python3_sitelib}/pykickstart*.egg-info

%changelog
* Fri Apr 10 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-pykickstart

* Fri Apr 10 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 92a7eea
- Update to pykickstart-3.24

* Mon Dec 30 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 74f7bd8
- travis: switch dom0 to Fedora 31

* Sat Nov 23 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - db1c2b1
- Update to version 3.21

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 73c33bb
- travis: switch to bionic

* Sat Mar 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ebccc97
- travis: initial

* Fri Jan 04 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3003469
- Update to pykickstart-3.16

* Fri Jan 04 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5e41328
- Initial commit

